.. _sec-c-api-xnvme_spec:

============
 xnvme_spec
============



.. _sec-c-api-xnvme_spec-header:

Header
======

.. literalinclude:: ../../include/libxnvme_spec.h
   :language: c



.. _sec-c-api-xnvme_spec-enum:

Enums
=====


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_adm_opc:

xnvme_spec_adm_opc
------------------

.. doxygenenum:: xnvme_spec_adm_opc


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_csi:

xnvme_spec_csi
--------------

.. doxygenenum:: xnvme_spec_csi


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_dir_types:

xnvme_spec_dir_types
--------------------

.. doxygenenum:: xnvme_spec_dir_types


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_drecv_idfy_doper:

xnvme_spec_drecv_idfy_doper
---------------------------

.. doxygenenum:: xnvme_spec_drecv_idfy_doper


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_drecv_streams_doper:

xnvme_spec_drecv_streams_doper
------------------------------

.. doxygenenum:: xnvme_spec_drecv_streams_doper


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_dsend_idfy_doper:

xnvme_spec_dsend_idfy_doper
---------------------------

.. doxygenenum:: xnvme_spec_dsend_idfy_doper


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_dsend_streams_doper:

xnvme_spec_dsend_streams_doper
------------------------------

.. doxygenenum:: xnvme_spec_dsend_streams_doper


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_feat_id:

xnvme_spec_feat_id
------------------

.. doxygenenum:: xnvme_spec_feat_id


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_feat_sel:

xnvme_spec_feat_sel
-------------------

.. doxygenenum:: xnvme_spec_feat_sel


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_flag:

xnvme_spec_flag
---------------

.. doxygenenum:: xnvme_spec_flag


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_fs_opcs:

xnvme_spec_fs_opcs
------------------

.. doxygenenum:: xnvme_spec_fs_opcs


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_idfy_cns:

xnvme_spec_idfy_cns
-------------------

.. doxygenenum:: xnvme_spec_idfy_cns


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_io_mgmt_recv_mo:

xnvme_spec_io_mgmt_recv_mo
--------------------------

.. doxygenenum:: xnvme_spec_io_mgmt_recv_mo


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_io_mgmt_send_mo:

xnvme_spec_io_mgmt_send_mo
--------------------------

.. doxygenenum:: xnvme_spec_io_mgmt_send_mo


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_kv_opc:

xnvme_spec_kv_opc
-----------------

.. doxygenenum:: xnvme_spec_kv_opc


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_kv_status_code:

xnvme_spec_kv_status_code
-------------------------

.. doxygenenum:: xnvme_spec_kv_status_code


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_log_lpi:

xnvme_spec_log_lpi
------------------

.. doxygenenum:: xnvme_spec_log_lpi


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_nvm_cmd_cpl_sc:

xnvme_spec_nvm_cmd_cpl_sc
-------------------------

.. doxygenenum:: xnvme_spec_nvm_cmd_cpl_sc


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_nvm_opc:

xnvme_spec_nvm_opc
------------------

.. doxygenenum:: xnvme_spec_nvm_opc


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_psdt:

xnvme_spec_psdt
---------------

.. doxygenenum:: xnvme_spec_psdt


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_sgl_descriptor_subtype:

xnvme_spec_sgl_descriptor_subtype
---------------------------------

.. doxygenenum:: xnvme_spec_sgl_descriptor_subtype


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_status_code:

xnvme_spec_status_code
----------------------

.. doxygenenum:: xnvme_spec_status_code


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_status_code_type:

xnvme_spec_status_code_type
---------------------------

.. doxygenenum:: xnvme_spec_status_code_type


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_cmd_mgmt_recv_action:

xnvme_spec_znd_cmd_mgmt_recv_action
-----------------------------------

.. doxygenenum:: xnvme_spec_znd_cmd_mgmt_recv_action


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_cmd_mgmt_recv_action_sf:

xnvme_spec_znd_cmd_mgmt_recv_action_sf
--------------------------------------

.. doxygenenum:: xnvme_spec_znd_cmd_mgmt_recv_action_sf


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_cmd_mgmt_send_action:

xnvme_spec_znd_cmd_mgmt_send_action
-----------------------------------

.. doxygenenum:: xnvme_spec_znd_cmd_mgmt_send_action


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_log_lid:

xnvme_spec_znd_log_lid
----------------------

.. doxygenenum:: xnvme_spec_znd_log_lid


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_mgmt_send_action_so:

xnvme_spec_znd_mgmt_send_action_so
----------------------------------

.. doxygenenum:: xnvme_spec_znd_mgmt_send_action_so


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_opc:

xnvme_spec_znd_opc
------------------

.. doxygenenum:: xnvme_spec_znd_opc


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_state:

xnvme_spec_znd_state
--------------------

.. doxygenenum:: xnvme_spec_znd_state


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_status_code:

xnvme_spec_znd_status_code
--------------------------

.. doxygenenum:: xnvme_spec_znd_status_code


.. _sec-c-api-xnvme_spec-enum-xnvme_spec_znd_type:

xnvme_spec_znd_type
-------------------

.. doxygenenum:: xnvme_spec_znd_type



.. _sec-c-api-xnvme_spec-struct:

Structs
=======


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_alloc_resource:

xnvme_spec_alloc_resource
-------------------------

.. doxygenstruct:: xnvme_spec_alloc_resource
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd:

xnvme_spec_cmd
--------------

.. doxygenstruct:: xnvme_spec_cmd
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_common:

xnvme_spec_cmd_common
---------------------

.. doxygenstruct:: xnvme_spec_cmd_common
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_drecv:

xnvme_spec_cmd_drecv
--------------------

.. doxygenstruct:: xnvme_spec_cmd_drecv
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_dsend:

xnvme_spec_cmd_dsend
--------------------

.. doxygenstruct:: xnvme_spec_cmd_dsend
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_dsm:

xnvme_spec_cmd_dsm
------------------

.. doxygenstruct:: xnvme_spec_cmd_dsm
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_format:

xnvme_spec_cmd_format
---------------------

.. doxygenstruct:: xnvme_spec_cmd_format
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_gfeat:

xnvme_spec_cmd_gfeat
--------------------

.. doxygenstruct:: xnvme_spec_cmd_gfeat
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_idfy:

xnvme_spec_cmd_idfy
-------------------

.. doxygenstruct:: xnvme_spec_cmd_idfy
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_log:

xnvme_spec_cmd_log
------------------

.. doxygenstruct:: xnvme_spec_cmd_log
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_nvm:

xnvme_spec_cmd_nvm
------------------

.. doxygenstruct:: xnvme_spec_cmd_nvm
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_sanitize:

xnvme_spec_cmd_sanitize
-----------------------

.. doxygenstruct:: xnvme_spec_cmd_sanitize
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cmd_sfeat:

xnvme_spec_cmd_sfeat
--------------------

.. doxygenstruct:: xnvme_spec_cmd_sfeat
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cpl:

xnvme_spec_cpl
--------------

.. doxygenstruct:: xnvme_spec_cpl
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_cs_vector:

xnvme_spec_cs_vector
--------------------

.. doxygenstruct:: xnvme_spec_cs_vector
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_ctrlr_bar:

xnvme_spec_ctrlr_bar
--------------------

.. doxygenstruct:: xnvme_spec_ctrlr_bar
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_dsm_range:

xnvme_spec_dsm_range
--------------------

.. doxygenstruct:: xnvme_spec_dsm_range
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_fdp_conf_desc:

xnvme_spec_fdp_conf_desc
------------------------

.. doxygenstruct:: xnvme_spec_fdp_conf_desc
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_fdp_event:

xnvme_spec_fdp_event
--------------------

.. doxygenstruct:: xnvme_spec_fdp_event
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_fdp_event_desc:

xnvme_spec_fdp_event_desc
-------------------------

.. doxygenstruct:: xnvme_spec_fdp_event_desc
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_fdp_event_media_reallocated:

xnvme_spec_fdp_event_media_reallocated
--------------------------------------

.. doxygenstruct:: xnvme_spec_fdp_event_media_reallocated
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_feat:

xnvme_spec_feat
---------------

.. doxygenstruct:: xnvme_spec_feat
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_fs_idfy_ctrlr:

xnvme_spec_fs_idfy_ctrlr
------------------------

.. doxygenstruct:: xnvme_spec_fs_idfy_ctrlr
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_fs_idfy_ns:

xnvme_spec_fs_idfy_ns
---------------------

.. doxygenstruct:: xnvme_spec_fs_idfy_ns
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_idfy:

xnvme_spec_idfy
---------------

.. doxygenstruct:: xnvme_spec_idfy
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_idfy_cs:

xnvme_spec_idfy_cs
------------------

.. doxygenstruct:: xnvme_spec_idfy_cs
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_idfy_ctrlr:

xnvme_spec_idfy_ctrlr
---------------------

.. doxygenstruct:: xnvme_spec_idfy_ctrlr
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_idfy_dir_rp:

xnvme_spec_idfy_dir_rp
----------------------

.. doxygenstruct:: xnvme_spec_idfy_dir_rp
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_idfy_ns:

xnvme_spec_idfy_ns
------------------

.. doxygenstruct:: xnvme_spec_idfy_ns
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_io_mgmt_cmd:

xnvme_spec_io_mgmt_cmd
----------------------

.. doxygenstruct:: xnvme_spec_io_mgmt_cmd
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_io_mgmt_recv_cmd:

xnvme_spec_io_mgmt_recv_cmd
---------------------------

.. doxygenstruct:: xnvme_spec_io_mgmt_recv_cmd
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_io_mgmt_send_cmd:

xnvme_spec_io_mgmt_send_cmd
---------------------------

.. doxygenstruct:: xnvme_spec_io_mgmt_send_cmd
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_kvs_cmd:

xnvme_spec_kvs_cmd
------------------

.. doxygenstruct:: xnvme_spec_kvs_cmd
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_kvs_idfy:

xnvme_spec_kvs_idfy
-------------------

.. doxygenstruct:: xnvme_spec_kvs_idfy
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_kvs_idfy_ns:

xnvme_spec_kvs_idfy_ns
----------------------

.. doxygenstruct:: xnvme_spec_kvs_idfy_ns
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_kvs_idfy_ns_format:

xnvme_spec_kvs_idfy_ns_format
-----------------------------

.. doxygenstruct:: xnvme_spec_kvs_idfy_ns_format
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_lbaf:

xnvme_spec_lbaf
---------------

.. doxygenstruct:: xnvme_spec_lbaf
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_log_erri_entry:

xnvme_spec_log_erri_entry
-------------------------

.. doxygenstruct:: xnvme_spec_log_erri_entry
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_log_fdp_conf:

xnvme_spec_log_fdp_conf
-----------------------

.. doxygenstruct:: xnvme_spec_log_fdp_conf
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_log_fdp_events:

xnvme_spec_log_fdp_events
-------------------------

.. doxygenstruct:: xnvme_spec_log_fdp_events
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_log_fdp_stats:

xnvme_spec_log_fdp_stats
------------------------

.. doxygenstruct:: xnvme_spec_log_fdp_stats
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_log_health_entry:

xnvme_spec_log_health_entry
---------------------------

.. doxygenstruct:: xnvme_spec_log_health_entry
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_log_ruhu:

xnvme_spec_log_ruhu
-------------------

.. doxygenstruct:: xnvme_spec_log_ruhu
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_cmd:

xnvme_spec_nvm_cmd
------------------

.. doxygenstruct:: xnvme_spec_nvm_cmd
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_cmd_scopy:

xnvme_spec_nvm_cmd_scopy
------------------------

.. doxygenstruct:: xnvme_spec_nvm_cmd_scopy
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_cmd_scopy_fmt_srclen:

xnvme_spec_nvm_cmd_scopy_fmt_srclen
-----------------------------------

.. doxygenstruct:: xnvme_spec_nvm_cmd_scopy_fmt_srclen
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_idfy:

xnvme_spec_nvm_idfy
-------------------

.. doxygenstruct:: xnvme_spec_nvm_idfy
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_idfy_ctrlr:

xnvme_spec_nvm_idfy_ctrlr
-------------------------

.. doxygenstruct:: xnvme_spec_nvm_idfy_ctrlr
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_idfy_ns:

xnvme_spec_nvm_idfy_ns
----------------------

.. doxygenstruct:: xnvme_spec_nvm_idfy_ns
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_scopy_fmt_zero:

xnvme_spec_nvm_scopy_fmt_zero
-----------------------------

.. doxygenstruct:: xnvme_spec_nvm_scopy_fmt_zero
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_scopy_source_range:

xnvme_spec_nvm_scopy_source_range
---------------------------------

.. doxygenstruct:: xnvme_spec_nvm_scopy_source_range
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_nvm_write_zeroes:

xnvme_spec_nvm_write_zeroes
---------------------------

.. doxygenstruct:: xnvme_spec_nvm_write_zeroes
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_power_state:

xnvme_spec_power_state
----------------------

.. doxygenstruct:: xnvme_spec_power_state
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_ruh_desc:

xnvme_spec_ruh_desc
-------------------

.. doxygenstruct:: xnvme_spec_ruh_desc
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_ruhs:

xnvme_spec_ruhs
---------------

.. doxygenstruct:: xnvme_spec_ruhs
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_ruhs_desc:

xnvme_spec_ruhs_desc
--------------------

.. doxygenstruct:: xnvme_spec_ruhs_desc
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_ruhu_desc:

xnvme_spec_ruhu_desc
--------------------

.. doxygenstruct:: xnvme_spec_ruhu_desc
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_sgl_descriptor:

xnvme_spec_sgl_descriptor
-------------------------

.. doxygenstruct:: xnvme_spec_sgl_descriptor
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_status:

xnvme_spec_status
-----------------

.. doxygenstruct:: xnvme_spec_status
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_streams_dir_gs:

xnvme_spec_streams_dir_gs
-------------------------

.. doxygenstruct:: xnvme_spec_streams_dir_gs
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_streams_dir_rp:

xnvme_spec_streams_dir_rp
-------------------------

.. doxygenstruct:: xnvme_spec_streams_dir_rp
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_cmd:

xnvme_spec_znd_cmd
------------------

.. doxygenstruct:: xnvme_spec_znd_cmd
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_cmd_append:

xnvme_spec_znd_cmd_append
-------------------------

.. doxygenstruct:: xnvme_spec_znd_cmd_append
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_cmd_mgmt_recv:

xnvme_spec_znd_cmd_mgmt_recv
----------------------------

.. doxygenstruct:: xnvme_spec_znd_cmd_mgmt_recv
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_cmd_mgmt_send:

xnvme_spec_znd_cmd_mgmt_send
----------------------------

.. doxygenstruct:: xnvme_spec_znd_cmd_mgmt_send
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_descr:

xnvme_spec_znd_descr
--------------------

.. doxygenstruct:: xnvme_spec_znd_descr
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_idfy:

xnvme_spec_znd_idfy
-------------------

.. doxygenstruct:: xnvme_spec_znd_idfy
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_idfy_ctrlr:

xnvme_spec_znd_idfy_ctrlr
-------------------------

.. doxygenstruct:: xnvme_spec_znd_idfy_ctrlr
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_idfy_lbafe:

xnvme_spec_znd_idfy_lbafe
-------------------------

.. doxygenstruct:: xnvme_spec_znd_idfy_lbafe
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_idfy_ns:

xnvme_spec_znd_idfy_ns
----------------------

.. doxygenstruct:: xnvme_spec_znd_idfy_ns
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_log_changes:

xnvme_spec_znd_log_changes
--------------------------

.. doxygenstruct:: xnvme_spec_znd_log_changes
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_spec-struct-xnvme_spec_znd_report_hdr:

xnvme_spec_znd_report_hdr
-------------------------

.. doxygenstruct:: xnvme_spec_znd_report_hdr
   :members:
   :undoc-members:



.. _sec-c-api-xnvme_spec-func:

Functions
=========


.. _sec-c-api-xnvme_spec-func-xnvme_spec_adm_opc_str:

xnvme_spec_adm_opc_str
----------------------

.. doxygenfunction:: xnvme_spec_adm_opc_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_cmd_fpr:

xnvme_spec_cmd_fpr
------------------

.. doxygenfunction:: xnvme_spec_cmd_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_cmd_pr:

xnvme_spec_cmd_pr
-----------------

.. doxygenfunction:: xnvme_spec_cmd_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_csi_str:

xnvme_spec_csi_str
------------------

.. doxygenfunction:: xnvme_spec_csi_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_drecv_idfy_pr:

xnvme_spec_drecv_idfy_pr
------------------------

.. doxygenfunction:: xnvme_spec_drecv_idfy_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_drecv_sar_pr:

xnvme_spec_drecv_sar_pr
-----------------------

.. doxygenfunction:: xnvme_spec_drecv_sar_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_drecv_sgs_pr:

xnvme_spec_drecv_sgs_pr
-----------------------

.. doxygenfunction:: xnvme_spec_drecv_sgs_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_drecv_srp_pr:

xnvme_spec_drecv_srp_pr
-----------------------

.. doxygenfunction:: xnvme_spec_drecv_srp_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_feat_fdp_events_pr:

xnvme_spec_feat_fdp_events_pr
-----------------------------

.. doxygenfunction:: xnvme_spec_feat_fdp_events_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_feat_fpr:

xnvme_spec_feat_fpr
-------------------

.. doxygenfunction:: xnvme_spec_feat_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_feat_id_str:

xnvme_spec_feat_id_str
----------------------

.. doxygenfunction:: xnvme_spec_feat_id_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_feat_pr:

xnvme_spec_feat_pr
------------------

.. doxygenfunction:: xnvme_spec_feat_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_feat_sel_str:

xnvme_spec_feat_sel_str
-----------------------

.. doxygenfunction:: xnvme_spec_feat_sel_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_flag_str:

xnvme_spec_flag_str
-------------------

.. doxygenfunction:: xnvme_spec_flag_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_cns_str:

xnvme_spec_idfy_cns_str
-----------------------

.. doxygenfunction:: xnvme_spec_idfy_cns_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_cs_fpr:

xnvme_spec_idfy_cs_fpr
----------------------

.. doxygenfunction:: xnvme_spec_idfy_cs_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_cs_pr:

xnvme_spec_idfy_cs_pr
---------------------

.. doxygenfunction:: xnvme_spec_idfy_cs_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_ctrl_fpr:

xnvme_spec_idfy_ctrl_fpr
------------------------

.. doxygenfunction:: xnvme_spec_idfy_ctrl_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_ctrl_pr:

xnvme_spec_idfy_ctrl_pr
-----------------------

.. doxygenfunction:: xnvme_spec_idfy_ctrl_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_ctrlr_fpr:

xnvme_spec_idfy_ctrlr_fpr
-------------------------

.. doxygenfunction:: xnvme_spec_idfy_ctrlr_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_ns_fpr:

xnvme_spec_idfy_ns_fpr
----------------------

.. doxygenfunction:: xnvme_spec_idfy_ns_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_idfy_ns_pr:

xnvme_spec_idfy_ns_pr
---------------------

.. doxygenfunction:: xnvme_spec_idfy_ns_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_kvs_idfy_ns_fpr:

xnvme_spec_kvs_idfy_ns_fpr
--------------------------

.. doxygenfunction:: xnvme_spec_kvs_idfy_ns_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_kvs_idfy_ns_pr:

xnvme_spec_kvs_idfy_ns_pr
-------------------------

.. doxygenfunction:: xnvme_spec_kvs_idfy_ns_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_erri_fpr:

xnvme_spec_log_erri_fpr
-----------------------

.. doxygenfunction:: xnvme_spec_log_erri_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_erri_pr:

xnvme_spec_log_erri_pr
----------------------

.. doxygenfunction:: xnvme_spec_log_erri_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_fdp_conf_pr:

xnvme_spec_log_fdp_conf_pr
--------------------------

.. doxygenfunction:: xnvme_spec_log_fdp_conf_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_fdp_events_pr:

xnvme_spec_log_fdp_events_pr
----------------------------

.. doxygenfunction:: xnvme_spec_log_fdp_events_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_fdp_stats_pr:

xnvme_spec_log_fdp_stats_pr
---------------------------

.. doxygenfunction:: xnvme_spec_log_fdp_stats_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_health_fpr:

xnvme_spec_log_health_fpr
-------------------------

.. doxygenfunction:: xnvme_spec_log_health_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_health_pr:

xnvme_spec_log_health_pr
------------------------

.. doxygenfunction:: xnvme_spec_log_health_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_lpi_str:

xnvme_spec_log_lpi_str
----------------------

.. doxygenfunction:: xnvme_spec_log_lpi_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_log_ruhu_pr:

xnvme_spec_log_ruhu_pr
----------------------

.. doxygenfunction:: xnvme_spec_log_ruhu_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_cmd_cpl_sc_str:

xnvme_spec_nvm_cmd_cpl_sc_str
-----------------------------

.. doxygenfunction:: xnvme_spec_nvm_cmd_cpl_sc_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_idfy_ctrlr_pr:

xnvme_spec_nvm_idfy_ctrlr_pr
----------------------------

.. doxygenfunction:: xnvme_spec_nvm_idfy_ctrlr_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_idfy_ns_fpr:

xnvme_spec_nvm_idfy_ns_fpr
--------------------------

.. doxygenfunction:: xnvme_spec_nvm_idfy_ns_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_idfy_ns_pr:

xnvme_spec_nvm_idfy_ns_pr
-------------------------

.. doxygenfunction:: xnvme_spec_nvm_idfy_ns_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_opc_str:

xnvme_spec_nvm_opc_str
----------------------

.. doxygenfunction:: xnvme_spec_nvm_opc_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_scopy_fmt_zero_fpr:

xnvme_spec_nvm_scopy_fmt_zero_fpr
---------------------------------

.. doxygenfunction:: xnvme_spec_nvm_scopy_fmt_zero_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_scopy_fmt_zero_pr:

xnvme_spec_nvm_scopy_fmt_zero_pr
--------------------------------

.. doxygenfunction:: xnvme_spec_nvm_scopy_fmt_zero_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_scopy_source_range_fpr:

xnvme_spec_nvm_scopy_source_range_fpr
-------------------------------------

.. doxygenfunction:: xnvme_spec_nvm_scopy_source_range_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_nvm_scopy_source_range_pr:

xnvme_spec_nvm_scopy_source_range_pr
------------------------------------

.. doxygenfunction:: xnvme_spec_nvm_scopy_source_range_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_psdt_str:

xnvme_spec_psdt_str
-------------------

.. doxygenfunction:: xnvme_spec_psdt_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_ruhs_pr:

xnvme_spec_ruhs_pr
------------------

.. doxygenfunction:: xnvme_spec_ruhs_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_sgl_descriptor_subtype_str:

xnvme_spec_sgl_descriptor_subtype_str
-------------------------------------

.. doxygenfunction:: xnvme_spec_sgl_descriptor_subtype_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_cmd_mgmt_recv_action_sf_str:

xnvme_spec_znd_cmd_mgmt_recv_action_sf_str
------------------------------------------

.. doxygenfunction:: xnvme_spec_znd_cmd_mgmt_recv_action_sf_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_cmd_mgmt_recv_action_str:

xnvme_spec_znd_cmd_mgmt_recv_action_str
---------------------------------------

.. doxygenfunction:: xnvme_spec_znd_cmd_mgmt_recv_action_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_cmd_mgmt_send_action_str:

xnvme_spec_znd_cmd_mgmt_send_action_str
---------------------------------------

.. doxygenfunction:: xnvme_spec_znd_cmd_mgmt_send_action_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_descr_fpr:

xnvme_spec_znd_descr_fpr
------------------------

.. doxygenfunction:: xnvme_spec_znd_descr_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_descr_fpr_yaml:

xnvme_spec_znd_descr_fpr_yaml
-----------------------------

.. doxygenfunction:: xnvme_spec_znd_descr_fpr_yaml


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_descr_pr:

xnvme_spec_znd_descr_pr
-----------------------

.. doxygenfunction:: xnvme_spec_znd_descr_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_idfy_ctrlr_fpr:

xnvme_spec_znd_idfy_ctrlr_fpr
-----------------------------

.. doxygenfunction:: xnvme_spec_znd_idfy_ctrlr_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_idfy_ctrlr_pr:

xnvme_spec_znd_idfy_ctrlr_pr
----------------------------

.. doxygenfunction:: xnvme_spec_znd_idfy_ctrlr_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_idfy_lbafe_fpr:

xnvme_spec_znd_idfy_lbafe_fpr
-----------------------------

.. doxygenfunction:: xnvme_spec_znd_idfy_lbafe_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_idfy_ns_fpr:

xnvme_spec_znd_idfy_ns_fpr
--------------------------

.. doxygenfunction:: xnvme_spec_znd_idfy_ns_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_idfy_ns_pr:

xnvme_spec_znd_idfy_ns_pr
-------------------------

.. doxygenfunction:: xnvme_spec_znd_idfy_ns_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_log_changes_fpr:

xnvme_spec_znd_log_changes_fpr
------------------------------

.. doxygenfunction:: xnvme_spec_znd_log_changes_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_log_changes_pr:

xnvme_spec_znd_log_changes_pr
-----------------------------

.. doxygenfunction:: xnvme_spec_znd_log_changes_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_log_lid_str:

xnvme_spec_znd_log_lid_str
--------------------------

.. doxygenfunction:: xnvme_spec_znd_log_lid_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_mgmt_send_action_so_str:

xnvme_spec_znd_mgmt_send_action_so_str
--------------------------------------

.. doxygenfunction:: xnvme_spec_znd_mgmt_send_action_so_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_opc_str:

xnvme_spec_znd_opc_str
----------------------

.. doxygenfunction:: xnvme_spec_znd_opc_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_report_hdr_fpr:

xnvme_spec_znd_report_hdr_fpr
-----------------------------

.. doxygenfunction:: xnvme_spec_znd_report_hdr_fpr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_report_hdr_pr:

xnvme_spec_znd_report_hdr_pr
----------------------------

.. doxygenfunction:: xnvme_spec_znd_report_hdr_pr


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_state_str:

xnvme_spec_znd_state_str
------------------------

.. doxygenfunction:: xnvme_spec_znd_state_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_status_code_str:

xnvme_spec_znd_status_code_str
------------------------------

.. doxygenfunction:: xnvme_spec_znd_status_code_str


.. _sec-c-api-xnvme_spec-func-xnvme_spec_znd_type_str:

xnvme_spec_znd_type_str
-----------------------

.. doxygenfunction:: xnvme_spec_znd_type_str

